{
  "breed": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "billYear": {
        "type": "integer"
      },
      "idCompany": {
        "type": "long"
      },
      "idPrintBill": {
        "type": "long"
      },
      "breedName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "breedTypeName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "selfProvidedPaper": {
        "type": "long"
      },
      "wholePaperSize": {
        "type": "text",
        "index": "not_analyzed"
      },
      "paperBand": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idPaperBaseInfo": {
        "type": "long"
      },
      "paperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idPaperCutInfo": {
        "type": "long"
      },
      "cutName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "cutCount": {
        "type": "long"
      },
      "cutSize": {
        "type": "text",
        "index": "not_analyzed"
      },
      "partCount": {
        "type": "long"
      },
      "partPrintTotalQty": {
        "type": "long"
      },
      "breedNo": {
        "type": "long"
      },
      "breedSets": {
        "type": "long"
      },
      "printCount": {
        "type": "long"
      },
      "printFlowCount": {
        "type": "long"
      },
      "craftFlowCount": {
        "type": "long"
      },
      "wholePaperCount": {
        "type": "long"
      },
      "originWholePaperCount": {
        "type": "long"
      },
      "paperPrice": {
        "type": "double"
      },
      "breedPaperPrice": {
        "type": "double"
      },
      "idActualPaperInfo": {
        "type": "long"
      },
      "actualPaperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idMachineType": {
        "type": "long"
      },
      "idMachine": {
        "type": "long"
      },
      "machineTypeName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "machineName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "colorCount": {
        "type": "text",
        "index": "not_analyzed"
      },
      "specialColor": {
        "type": "text",
        "index": "not_analyzed"
      },
      "breedFlipType": {
        "type": "long"
      },
      "breedSize": {
        "type": "text",
        "index": "not_analyzed"
      },
      "psSize": {
        "type": "text",
        "index": "not_analyzed"
      },
      "psGroupCount": {
        "type": "long"
      },
      "psCount": {
        "type": "long"
      },
      "completeCount": {
        "type": "long"
      },
      "printCount1000": {
        "type": "double"
      },
      "printCosts": {
        "type": "double"
      },
      "breedProcess": {
        "type": "text",
        "index": "not_analyzed"
      },
      "breedStatus": {
        "type": "integer"
      },
      "printRequire": {
        "type": "text",
        "index": "not_analyzed"
      },
      "preOutStockState": {
        "type": "integer"
      },
      "preOutStockLockIdRoom": {
        "type": "long"
      },
      "preOutStockLockQty": {
        "type": "integer"
      },
      "preOutLockState": {
        "type": "integer"
      },
      "preOutLockManId": {
        "type": "long"
      },
      "preOutLockManName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idPlateSizeTemplate": {
        "type": "long"
      },
      "voidFlag": {
        "type": "integer"
      },
      "containsOrderIds": {
        "type": "text",
        "index": "not_analyzed"
      },
      "preOutStockUnlocked": {
        "type": "integer"
      },
      "pickPaperCount": {
        "type": "long"
      },
      "paperRequireFlag": {
        "type": "integer"
      },
      "paperPreRequestFlag": {
        "type": "integer"
      },
      "paperStockInFlag": {
        "type": "integer"
      },
      "paperPickingFlag": {
        "type": "integer"
      },
      "paperStockOutFlag": {
        "type": "integer"
      },
      "createBy": {
        "type": "long"
      },
      "createTime": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTime": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
